Bug 826936 - [ovirt-engine-backend] Can not remove direct lun disk
[ovirt-engine-backend] Can not remove direct lun disk
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
unspecified
x86_64 Linux
high Severity unspecified
: ---
: 3.1.0
Assigned To: mkublin
Dafna Ron
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 05:29 EDT by Kiril Nesenko
Modified: 2016-02-10 11:57 EST (History)
14 users (show)

See Also:
Fixed In Version: SI6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:03:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine.log (24.82 KB, application/x-bzip)
2012-05-31 05:29 EDT, Kiril Nesenko
no flags Details

  None (edit)
Description Kiril Nesenko 2012-05-31 05:29:37 EDT
Created attachment 588013 [details]
engine.log

Description of problem:
Can not remove direct lun disk.

2012-05-31 12:24:01,255 ERROR [org.ovirt.engine.core.bll.RemoveDiskCommand] (pool-10-thread-45) ------- [3166b76d] Command org.ovirt.engine.core.bll.RemoveDiskCommand throw exception: java.lang.NullPointerException
        at org.ovirt.engine.core.bll.RemoveDiskCommand$1.runInTransaction(RemoveDiskCommand.java:279) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.RemoveDiskCommand$1.runInTransaction(RemoveDiskCommand.java:265) [engine-bll.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInNewTransaction(TransactionSupport.java:204) [engine-utils.jar:]
        at org.ovirt.engine.core.bll.RemoveDiskCommand.removeLunDisk(RemoveDiskCommand.java:265) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.RemoveDiskCommand.executeCommand(RemoveDiskCommand.java:260) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.ExecuteWithoutTransaction(CommandBase.java:755) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeActionInTransactionScope(CommandBase.java:847) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.runInTransaction(CommandBase.java:1156) [engine-bll.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInSuppressed(TransactionSupport.java:168) [engine-utils.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInScope(TransactionSupport.java:107) [engine-utils.jar:]
        at org.ovirt.engine.core.bll.CommandBase.Execute(CommandBase.java:862) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.ExecuteAction(CommandBase.java:268) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.MultipleActionsRunner.executeValidatedCommands(MultipleActionsRunner.java:182) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.MultipleActionsRunner.RunCommands(MultipleActionsRunner.java:162) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.MultipleActionsRunner$1.run(MultipleActionsRunner.java:84) [engine-bll.jar:]
        at org.ovirt.engine.core.utils.threadpool.ThreadPoolUtil$InternalWrapperRunnable.run(ThreadPoolUtil.java:64) [engine-utils.jar:]
        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471) [rt.jar:1.6.0_24]
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334) [rt.jar:1.6.0_24]
        at java.util.concurrent.FutureTask.run(FutureTask.java:166) [rt.jar:1.6.0_24]
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110) [rt.jar:1.6.0_24]
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603) [rt.jar:1.6.0_24]
        at java.lang.Thread.run(Thread.java:679) [rt.jar:1.6.0_24]

2012-05-31 12:24:01,322 INFO  [org.ovirt.engine.core.bll.RemoveDiskCommand] (pool-10-thread-45) ------- [3166b76d] Lock freed to object EngineLock [exclusiveLocks= key: d5c5087f-3ced-4252-a1d4-1aabf12401eb value: DISK
, sharedLocks= key: e0466ee5-d6fa-4ed6-8215-e9d4dc80ca3b value: VM
]



Version-Release number of selected component (if applicable):
rhevm-3.1.0_0001-12.el6ev.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create a directed lun disk and attach it to vm.
2. Try to remove the disk 
3.
  
Actual results:
Can not remove the disk

Expected results:


Additional info:
Comment 1 mkublin 2012-05-31 08:04:43 EDT
http://gerrit.ovirt.org/#change,4838
pushed
Comment 3 Dafna Ron 2012-06-19 12:08:29 EDT
verified on si6

Note You need to log in before you can comment on or make changes to this bug.